Xerces-C++: DOMLSResourceResolver Class Reference

Xerces-C++ 3.2.0

List of all members
DOMLSResourceResolver Class Referenceabstract

DOMLSResourceResolver provides a way for applications to redirect references to external entities. More...

## Public Member Functions
Destructor
virtual | ~DOMLSResourceResolver ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual DOMLSInput * | resolveResource (const XMLCh *const resourceType, const XMLCh *const namespaceUri, const XMLCh *const publicId, const XMLCh *const systemId, const XMLCh *const baseURI)=0
| Allow the application to resolve external resources. More...

## Protected Member Functions
Hidden constructors
| DOMLSResourceResolver ()

## Detailed Description

DOMLSResourceResolver provides a way for applications to redirect references to external entities.

Applications needing to implement customized handling for external entities must implement this interface and register their implementation by setting the entityResolver attribute of the DOMLSParser.

The DOMLSParser will then allow the application to intercept any external entities (including the external DTD subset and external parameter entities) before including them.

Many DOM applications will not need to implement this interface, but it will be especially useful for applications that build XML documents from databases or other specialized input sources, or for applications that use URNs.

See also
  DOMLSParser::getDomConfig
  DOMLSInput::DOMLSInput

Since
  DOM Level 3

## Constructor & Destructor Documentation

## ◆ DOMLSResourceResolver()

DOMLSResourceResolver::DOMLSResourceResolver | ( |  | ) |
| protected

## ◆ ~DOMLSResourceResolver()

virtual DOMLSResourceResolver::~DOMLSResourceResolver | ( |  | ) |
| virtual

Destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ resolveResource()

virtual DOMLSInput* DOMLSResourceResolver::resolveResource | ( | const XMLCh *const | resourceType,
|  | const XMLCh *const | namespaceUri,
|  | const XMLCh *const | publicId,
|  | const XMLCh *const | systemId,
|  | const XMLCh *const | baseURI
| ) |  |
| pure virtual

Allow the application to resolve external resources.

The `DOMLSParser` will call this method before opening any external resource, including the external DTD subset, external entities referenced within the DTD, and external entities referenced within the document element (however, the top-level document entity is not passed to this method). The application may then request that the `DOMLSParser` resolve the external resource itself, that it use an alternative URI, or that it use an entirely different input source.

Application writers can use this method to redirect external system identifiers to secure and/or local URI, to look up public identifiers in a catalogue, or to read an entity from a database or other input source (including, for example, a dialog box).

The returned DOMLSInput is owned by the DOMLSParser which is responsible to clean up the memory.

Parameters

  resourceType | The type of the resource being resolved. For XML [XML 1.0] resources (i.e. entities), applications must use the value "http://www.w3.org/TR/REC-xml". For XML Schema [XML Schema Part 1], applications must use the value "http://www.w3.org/2001/XMLSchema". Other types of resources are outside the scope of this specification and therefore should recommend an absolute URI in order to use this method.
  namespaceUri | The namespace of the resource being resolved, e.g. the target namespace of the XML Schema [XML Schema Part 1] when resolving XML Schema resources.
  publicId | The public identifier of the external entity being referenced, or `null` if no public identifier was supplied or if the resource is not an entity.
  systemId | The system identifier, a URI reference [IETF RFC 2396], of the external resource being referenced, or `null` if no system identifier was supplied.
  baseURI | The absolute base URI of the resource being parsed, or `null` if there is no base URI.

Returns
  A DOMLSInput object describing the new input source, or `null` to request that the parser open a regular URI connection to the resource. The returned DOMLSInput is owned by the DOMLSParser which is responsible to clean up the memory.

See also
  DOMLSInput::DOMLSInput

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMLSResourceResolver.hpp